cgGLSetParameter1fv(3)

NAME
cgGLSetParameter1fv - set the values of a scalar or vector parameter

SYNOPSIS
  #include <Cg/cgGL.h>

  void cgGLSetParameter1fv( CGparameter param,
                            const float * v );

PARAMETERS

param
    The parameter that will be set.

v   Array of values used to set param.

RETURN VALUES
None.

DESCRIPTION
cgGLSetParameter1fv sets the values of a scalar or vector parameter from the given array of values.

cgGLSetParameter1fv may be called with either uniform or varying parameters. When called with a varying parameter, the appropriate immediate mode OpenGL entry point will be called. However, the cgGLGetParameter functions only work with uniform parameters.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_INVALID_PARAMETER_ERROR is generated if the parameter fails to set for any other reason.

HISTORY
cgGLSetParameter1fv was introduced in Cg 1.1.

SEE ALSO
cgGLGetParameter, cgGLSetParameterArray, cgGLSetMatrixParameter, cgGLSetMatrixParameterArray, cgGLSetTextureParameter, cgGLBindProgram